Bug 68381 - EDITING: Cell comments get lost when range is pasted transposed
Summary: EDITING: Cell comments get lost when range is pasted transposed
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: Other Windows (All)
: medium major
Assignee: Laurent Godard
URL:
Whiteboard: BSA target:4.2.0 target:4.1.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-21 12:27 UTC by bugquestcontri
Modified: 2013-08-23 08:06 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
test file (12.47 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-08-21 12:27 UTC, bugquestcontri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugquestcontri 2013-08-21 12:27:50 UTC
Created attachment 84387 [details]
test file

Problem description: When a linear or 2-dimensinal range of cells is copied and pasted in a transposed layout, all comments get lost.

This bug lowers productivity very much!

Steps to reproduce:
1.create an array of cells 
2 add comments to cells
3 select range with cursor
4 click into new cell
5 right click and select “paste special”
6 keep “paste all” checked
7 check “transpose”
8 click OK and cell comments are lost


Current behavior:
Cell comments get lost when pasting "transposed"

Expected behavior:
Cell comments stay with cells

              
Operating System: Windows XP
Version: 4.0.4.2 release
Comment 1 Kohei Yoshida 2013-08-21 15:49:25 UTC
Confirming.
Comment 2 Kohei Yoshida 2013-08-21 15:50:16 UTC
Laurent has a patch for this:
Comment 3 Commit Notification 2013-08-21 16:01:42 UTC
Laurent Godard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=68dd91f9e9d9201287acb5825748954a5446f323

fdo#68381 take care of cell notes on Transpose



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-08-21 16:22:29 UTC
Laurent Godard committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c253eb2aa0d9860916d626738b746594775f321&h=libreoffice-4-1

fdo#68381 take care of cell notes on Transpose


It will be available in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 bugquestcontri 2013-08-22 07:25:04 UTC
Thanks for quick solution to all involved. 

Question: Can the patch be included already in 4.0.5 release or 4.0.6  release?
Comment 6 bugquestcontri 2013-08-23 06:12:45 UTC
I would like to add here some information on related topics. Maybe it is easier to make a solution coveting all:

https://bugs.freedesktop.org/show_bug.cgi?id=32443

https://bugs.freedesktop.org/show_bug.cgi?id=64701
Comment 7 Laurent Godard 2013-08-23 06:45:48 UTC
this specific bug is solved
one bug - one report
Comment 8 bugquestcontri 2013-08-23 08:06:03 UTC
one bug - one report 
understood.

Hope now you commit for the other bug / enhancement as well!

Thanks for the your work to fix this bug!!!